Subject: Re: [PATCH 6/16] powerpc/mm: Split mmu_context handling v3

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 16 Dec 2008 07:20:20 +1100

On Mon, 2008-12-15 at 16:43 +0100, Arnd Bergmann wrote:
> Didn't we lift the limit to 30,000 tasks at some point? The comment
> in linux/threads.h mentions that the PID space goes up to 4 million.
> What does actually happen when we increase pid_max to beyond 32768
> on those systems and try to use them? Is there another limit in place?

Well, the mm context allocator for hash based CPUs cannot hand out more
than 32767 contexts. I suspect it's just going to spin in
init_new_context. I could make it fail instead...

Cheers,
Ben.